Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface RenameEntry

All Known Implementing Classes:
  RenameEntryImpl

    public interface RenameEntry

LDAP Rename Entry interface. This defines the methods for the Rename operation.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`java.lang.String` | `getNewName()` Method to get the new name of the entry that was set for renaming
`java.lang.String` | `getOldName()` Method to get the old name of the entry that was set for renaming
`boolean` | `performRename()` Method that performs the renaming of the entry
`void` | `reset()` Method to reset the values
`void` | `setNewName(java.lang.String newName)` Method to set the new name of the entry that is to be renamed
`void` | `setOldName(java.lang.String oldName)` Method to set the old name of the entry that is to be renamed

Method Detail

### setOldName

    void setOldName(java.lang.String oldName)
                    throws LDAPApplicationException

  Method to set the old name of the entry that is to be renamed

  Parameters:
    `the` - old name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getOldName

    java.lang.String getOldName()
                                throws LDAPApplicationException

  Method to get the old name of the entry that was set for renaming

  Returns:
    the old name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setNewName

    void setNewName(java.lang.String newName)
                    throws LDAPApplicationException

  Method to set the new name of the entry that is to be renamed

  Parameters:
    `the` - new name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getNewName

    java.lang.String getNewName()
                                throws LDAPApplicationException

  Method to get the new name of the entry that was set for renaming

  Returns:
    the new name of the entry to be renamed
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performRename

    boolean performRename()
                          throws LDAPApplicationException

  Method that performs the renaming of the entry

  Returns:
    true if the entry was renamed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server or any problem in executing the operation.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD